# Azure Storage Queue Service

{% hint style="info" %}
The content of this documentation is under revision and may change. We appreciate your understanding as we work to improve it.
{% endhint %}

**Azure Storage Queue Service** stores and retrieves messages to/from Azure Storage Queue.

## **Parameters**

Take a look at the configuration options for the component. Parameters supported by [Double Braces expressions](/documentation/connectors-and-triggers/double-braces/overview.md) are marked with `(DB)`.

### **General tab**

<table data-full-width="true"><thead><tr><th>Parameter</th><th>Description</th><th>Default value</th><th>Data type</th></tr></thead><tbody><tr><td><strong>Dynamic Account</strong></td><td>When active, the connector will use the account dynamically. Otherwise, it will use the account statically.</td><td>False</td><td>Boolean</td></tr><tr><td><strong>Account Name</strong> <code>(DB)</code></td><td>The name of the dynamic account used by the connector. This account must have been previously configured in a <a href="/pages/0kxlZ011XP4A2T43v9kh"><strong>Store Account</strong></a> connector in the pipeline for this process to take effect. It is only available if the <strong>Dynamic Account</strong> parameter is active.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Account</strong></td><td>The account used by the connector. It is only available if the <strong>Dynamic Account</strong> parameter is inactive.</td><td>N/A</td><td>Account</td></tr><tr><td><strong>Fail On Error</strong></td><td>Se a opção for ativada, a execução do pipeline com erro será interrompida. Caso contrário, a execução do pipeline continua, mas o resultado mostrará um valor falso para a propriedade <code>"success"</code>.</td><td>False</td><td>Booleano</td></tr></tbody></table>

### **Optional tab**

<table data-full-width="true"><thead><tr><th>Parameter</th><th>Description</th><th>Default value</th><th>Data type</th></tr></thead><tbody><tr><td><strong>Account Name</strong> <code>(DB)</code></td><td>Azure account name to be used for authentication with Azure Queue services.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Queue Name</strong> <code>(DB)</code></td><td>The queue resource name.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Create Queue</strong></td><td>When set to true, the queue will be automatically created when sending messages to the queue.</td><td>False</td><td>Boolean</td></tr><tr><td><strong>Operation</strong></td><td>Queue service operation hint to the producer.</td><td></td><td>String</td></tr><tr><td><strong>Max Messages</strong></td><td>Maximum number of messages to retrieve. If there are fewer messages in the queue than requested, all messages will be returned. If left empty, only 1 message will be retrieved. The allowed range is 1 to 32 messages.</td><td>1</td><td>Number</td></tr><tr><td><strong>Message Id</strong> <code>(DB)</code></td><td>The ID of the message to be deleted or updated.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Pop Receipt</strong> <code>(DB)</code></td><td>Unique identifier that must match for the message to be deleted or updated.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Timeout</strong> <code>(DB)</code></td><td>An optional timeout applied to the operation. If a response is not returned before the timeout concludes, a <code>RuntimeException</code> will be thrown.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Time To Live</strong> <code>(DB)</code></td><td>How long the message will stay alive in the queue. If unset, the value will default to 7 days. If <code>-1</code> is passed, the message will not expire. The time-to-live must be <code>-1</code> or any positive number. The format should be in this form: <code>PnDTnHnMn.nS</code>, e.g., <code>PT20.345S</code> – parses as 20.345 seconds, <code>P2D</code> – parses as 2 days. However, in case you are using <code>EndpointDsl/ComponentDsl</code>, you can do something like <code>Duration.ofSeconds()</code> since these Java APIs are typesafe.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Visibility Timeout</strong> <code>(DB)</code></td><td>The timeout period for how long the message is invisible in the queue. The timeout must be between 1 second and 7 days. The format should be in this form: <code>PnDTnHnMn.nS</code>, e.g., <code>PT20.345S</code> – parses as 20.345 seconds, <code>P2D</code> – parses as 2 days. However, in case you are using <code>EndpointDsl/ComponentDsl</code>, you can do something like <code>Duration.ofSeconds()</code> since these Java APIs are typesafe.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Body</strong> <code>(DB)</code></td><td>The body, if applicable.</td><td><code>{ }</code></td><td>JSON</td></tr></tbody></table>

### **Headers tab**

<table data-full-width="true"><thead><tr><th>Parameter</th><th>Description</th><th>Default value</th><th>Data type</th></tr></thead><tbody><tr><td><strong>Metadata</strong></td><td>(createQueue) Metadata to associate with the queue.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Message Id</strong> <code>(DB)</code></td><td>The ID of the message.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Insertion Time</strong> <code>(DB)</code></td><td>The time the message was inserted into the queue.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Expiration Time</strong> <code>(DB)</code></td><td>The time that the message will expire and be automatically deleted.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Pop Receipt</strong> <code>(DB)</code></td><td>(deleteMessage, updateMessage) Unique identifier that must match for the message to be deleted or updated. If deletion fails using this pop receipt, then the message has been dequeued by another client.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Time Next Visible</strong> <code>(DB)</code></td><td>The time that the message will again become visible in the queue.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Dequeue Count</strong></td><td>The number of times the message has been dequeued.</td><td>N/A</td><td>Number</td></tr><tr><td><strong>Name</strong> <code>(DB)</code></td><td>(All) Override the queue name.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Max Messages</strong></td><td>(receiveMessages, peekMessages) Maximum number of messages to retrieve. If there are fewer messages in the queue than requested, all messages will be returned. If left empty, only 1 message will be retrieved. The allowed range is 1 to 32 messages.</td><td>N/A</td><td>Number</td></tr><tr><td><strong>Create Queue</strong></td><td>(sendMessage) When set to true, the queue will be automatically created when sending messages to the queue.</td><td></td><td></td></tr></tbody></table>

### **Documentation tab**

<table data-full-width="true"><thead><tr><th>Parameter</th><th>Description</th><th>Default value</th><th>Data type</th></tr></thead><tbody><tr><td><strong>Documentation</strong></td><td>Section for documenting any necessary information about the connector configuration and business rules.</td><td>N/A</td><td>String</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digibee.com/documentation/connectors-and-triggers/connectors/azure/storage-queue-service.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
